FROM rpt_mmdeploy

RUN apt-get update && apt-get install -y --no-install-recommends nano
RUN pip3 install --upgrade --no-cache-dir "albumentations<1.4"

RUN sed -i '94i\        self.runner.val_loop.run()' /usr/local/lib/python3.8/dist-packages/mmengine/runner/loops.py

WORKDIR /mmpose/
CMD ["/bin/bash"]
